> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Prior Authorization to Careviso

> Submit a prior authorization request to Careviso.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/integrations/careviso/{slug}/prior-authorizations
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/careviso/{slug}/prior-authorizations:
    post:
      tags:
        - Integration - Careviso
      summary: Submit Prior Authorization to Careviso
      description: Submit a prior authorization request to Careviso.
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                testNames:
                  type: array
                  items:
                    type: string
                testIdentifiers:
                  type: array
                  items:
                    type: string
                testType:
                  type: string
                cptCodes:
                  type: array
                  items:
                    type: string
                insuranceId:
                  type: string
                insuranceName:
                  type: string
                groupId:
                  type: string
                memberId:
                  type: string
                patientId:
                  type: string
                patientFirstName:
                  type: string
                patientLastName:
                  type: string
                patientGender:
                  type: string
                  enum:
                    - M
                    - F
                    - Non-binary
                    - Non-specified
                patientDob:
                  type: string
                patientPhone:
                  type: string
                patientStreet:
                  type: string
                patientStreet2:
                  type: string
                patientCity:
                  type: string
                patientState:
                  type: string
                patientZip:
                  type: string
                providerId:
                  type: string
                providerFirstName:
                  type: string
                providerLastName:
                  type: string
                providerNpi:
                  type: string
                providerPhone:
                  type: string
                providerFax:
                  type: string
                labOrderId:
                  type: string
                collectionType:
                  type: string
                  description: The type of collection for the test
                collectionDate:
                  type: string
                  description: >-
                    The date of collection for the test. Should be in the format
                    YYYY-MM-DD.
                serviceDate:
                  type: string
                  description: >-
                    The date of service for the test. Should be in the format
                    YYYY-MM-DD.
                accessionDate:
                  type: string
                icd10Codes:
                  type: array
                  items:
                    type: string
                caseType:
                  type: string
                  enum:
                    - prior_auth
                    - prior_auth_request
                    - benefits_investigation
                attachments:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      fileName:
                        type: string
                    required:
                      - id
                      - fileName
                    additionalProperties: false
              required:
                - testNames
                - cptCodes
                - insuranceName
                - groupId
                - memberId
                - patientId
                - patientFirstName
                - patientLastName
                - patientDob
                - patientPhone
                - providerId
                - providerFirstName
                - providerLastName
                - providerNpi
                - providerPhone
                - providerFax
                - labOrderId
                - serviceDate
                - icd10Codes
                - caseType
                - attachments
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Query execution result.
          content:
            application/json:
              schema: {}
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Careviso connection not found.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error.
                required:
                  - error
                additionalProperties: false

````